{
  "devices": [
    {
      "vendorID": 1118,
      "productID": 2083,
      "vendorIDHex": "0x045e",
      "productIDHex": "0x0823",
      "brand": "Microsoft",
      "model": "Surface Precision Mouse",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键1",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键2",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S2"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45075,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb013",
      "brand": "Logitech",
      "model": "MX Anywhere 2",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": null,
          "name": "中键左倾斜",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL"
        },
        {
          "id": null,
          "name": "中键右倾斜",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45077,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb015",
      "brand": "Logitech",
      "model": "M720 Triathlon",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 208,
          "name": "拇指键",
          "icon": "hand.thumbsup.fill",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": null,
          "name": "中键左倾斜",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL"
        },
        {
          "id": null,
          "name": "中键右倾斜",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45100,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb02c",
      "brand": "Logitech",
      "model": "M750/M750 L",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 253,
          "name": "DPI/指针速度键",
          "icon": "speedometer",
          "configurable": true,
          "slot": "T",
          "position": {
            "x": 0.61,
            "y": 0.47
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45105,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb031",
      "brand": "Logitech",
      "model": "Lift",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 253,
          "name": "DPI/指针速度键",
          "icon": "speedometer",
          "configurable": true,
          "slot": "T",
          "position": {
            "x": 0.61,
            "y": 0.47
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45079,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb017",
      "brand": "Logitech",
      "model": "MX Master",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 195,
          "name": "拇指键",
          "icon": "hand.thumbsup.fill",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": 6,
          "cid": 196,
          "name": "滚轮模式切换",
          "icon": "dial.medium",
          "configurable": true,
          "slot": "SM"
        },
        {
          "id": null,
          "name": "滚轮左倾",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL",
          "position": {
            "x": 0.13,
            "y": 0.51
          }
        },
        {
          "id": null,
          "name": "滚轮右倾",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR",
          "position": {
            "x": 0.38,
            "y": 0.51
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45081,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb019",
      "brand": "Logitech",
      "model": "MX Master 2S",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 195,
          "name": "拇指键",
          "icon": "hand.thumbsup.fill",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": 6,
          "cid": 196,
          "name": "滚轮模式切换",
          "icon": "dial.medium",
          "configurable": true,
          "slot": "SM"
        },
        {
          "id": null,
          "name": "滚轮左倾",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL",
          "position": {
            "x": 0.13,
            "y": 0.51
          }
        },
        {
          "id": null,
          "name": "滚轮右倾",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR",
          "position": {
            "x": 0.38,
            "y": 0.51
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45082,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb01a",
      "brand": "Logitech",
      "model": "MX Anywhere 2S",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": null,
          "name": "中键左倾斜",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL"
        },
        {
          "id": null,
          "name": "中键右倾斜",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45083,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb01b",
      "brand": "Logitech",
      "model": "M585/M590",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": null,
          "name": "滚轮左倾",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL"
        },
        {
          "id": null,
          "name": "滚轮右倾",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45091,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb023",
      "brand": "Logitech",
      "model": "MX Master 3",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 195,
          "name": "拇指键",
          "icon": "hand.thumbsup.fill",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": 6,
          "cid": 196,
          "name": "滚轮模式切换",
          "icon": "dial.medium",
          "configurable": true,
          "slot": "SM"
        },
        {
          "id": null,
          "name": "滚轮左倾",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL",
          "position": {
            "x": 0.13,
            "y": 0.51
          }
        },
        {
          "id": null,
          "name": "滚轮右倾",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR",
          "position": {
            "x": 0.38,
            "y": 0.51
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45093,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb025",
      "brand": "Logitech",
      "model": "MX Anywhere 3",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 196,
          "name": "滚轮模式切换",
          "icon": "dial.medium",
          "configurable": true,
          "slot": "SM"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45104,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb030",
      "brand": "Logitech",
      "model": "POP Mouse",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 5,
          "cid": 264,
          "name": "自定义键",
          "icon": "star.fill",
          "configurable": true,
          "slot": "T",
          "position": {
            "x": 0.61,
            "y": 0.47
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45108,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb034",
      "brand": "Logitech",
      "model": "MX Master 3S",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "name": "拇指键",
          "icon": "hand.thumbsup.fill",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": 6,
          "cid": 196,
          "name": "滚轮模式切换",
          "icon": "dial.medium",
          "configurable": true,
          "slot": "SM"
        },
        {
          "id": null,
          "name": "滚轮左倾",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL",
          "position": {
            "x": 0.13,
            "y": 0.51
          }
        },
        {
          "id": null,
          "name": "滚轮右倾",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR",
          "position": {
            "x": 0.38,
            "y": 0.51
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45111,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb037",
      "brand": "Logitech",
      "model": "MX Anywhere 3S",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "cid": 196,
          "name": "滚轮模式切换",
          "icon": "dial.medium",
          "configurable": true,
          "slot": "SM"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 45122,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xb042",
      "brand": "Logitech",
      "model": "MX Master 4",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键/滚轮键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键后退",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键前进",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "name": "手势键",
          "icon": "hand.draw.fill",
          "configurable": true,
          "slot": "T",
          "position": {
            "x": 0.05,
            "y": 0.4
          }
        },
        {
          "id": 6,
          "name": "Actions Ring键",
          "icon": "rotate.3d.fill",
          "configurable": true,
          "slot": "AR"
        },
        {
          "id": 7,
          "cid": 196,
          "name": "滚轮模式切换",
          "icon": "dial.medium",
          "configurable": true,
          "slot": "SM"
        },
        {
          "id": null,
          "name": "滚轮左倾",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL",
          "position": {
            "x": 0.13,
            "y": 0.51
          }
        },
        {
          "id": null,
          "name": "滚轮右倾",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR",
          "position": {
            "x": 0.38,
            "y": 0.51
          }
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 49305,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xc099",
      "brand": "Logitech",
      "model": "G502 X",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键1",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键2",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "name": "DPI循环键",
          "icon": "dial.medium.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 6,
          "name": "DPI上",
          "icon": "plus.circle.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 7,
          "name": "DPI下",
          "icon": "minus.circle.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 8,
          "name": "拇指键",
          "icon": "hand.thumbsup.fill",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": null,
          "name": "中键左倾斜",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL"
        },
        {
          "id": null,
          "name": "中键右倾斜",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 49355,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xc08b",
      "brand": "Logitech",
      "model": "G502 HERO",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键1",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键2",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "name": "DPI循环键",
          "icon": "dial.medium.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 6,
          "name": "DPI上",
          "icon": "plus.circle.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 7,
          "name": "DPI下",
          "icon": "minus.circle.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 8,
          "name": "拇指键",
          "icon": "hand.thumbsup.fill",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": null,
          "name": "中键左倾斜",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL"
        },
        {
          "id": null,
          "name": "中键右倾斜",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 49970,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xc332",
      "brand": "Logitech",
      "model": "G502 Proteus Spectrum",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键1",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键2",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "name": "DPI循环键",
          "icon": "dial.medium.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 6,
          "name": "DPI上",
          "icon": "plus.circle.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 7,
          "name": "DPI下",
          "icon": "minus.circle.fill",
          "configurable": true,
          "slot": null
        },
        {
          "id": 8,
          "name": "Sniper键",
          "icon": "scope",
          "configurable": true,
          "slot": "T"
        },
        {
          "id": null,
          "name": "中键左倾斜",
          "icon": "arrowshape.left.fill",
          "configurable": true,
          "slot": "WL"
        },
        {
          "id": null,
          "name": "中键右倾斜",
          "icon": "arrowshape.right.fill",
          "configurable": true,
          "slot": "WR"
        }
      ]
    },
    {
      "vendorID": 1133,
      "productID": 50495,
      "vendorIDHex": "0x046d",
      "productIDHex": "0xc53f",
      "brand": "Logitech",
      "model": "G305 LIGHTSPEED",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键1",
          "icon": "arrowshape.backward.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键2",
          "icon": "arrowshape.forward.fill",
          "configurable": true,
          "slot": "S2"
        }
      ]
    },
    {
      "vendorID": 1452,
      "productID": 617,
      "vendorIDHex": "0x05ac",
      "productIDHex": "0x0269",
      "brand": "Apple",
      "model": "Magic Mouse 2",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        }
      ]
    },
    {
      "vendorID": 5426,
      "productID": 123,
      "vendorIDHex": "0x1532",
      "productIDHex": "0x007b",
      "brand": "Razer",
      "model": "Viper Ultimate",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键左1",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键左2",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S2"
        },
        {
          "id": 5,
          "name": "侧键右1",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S3"
        },
        {
          "id": 6,
          "name": "侧键右2",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S4"
        }
      ]
    },
    {
      "vendorID": 5426,
      "productID": 178,
      "vendorIDHex": "0x1532",
      "productIDHex": "0x00b2",
      "brand": "Razer",
      "model": "DeathAdder V3",
      "imageName": null,
      "buttons": [
        {
          "id": 0,
          "name": "左键",
          "icon": "hand.point.up.left.fill",
          "configurable": false,
          "slot": "L"
        },
        {
          "id": 1,
          "name": "右键",
          "icon": "hand.point.up.right.fill",
          "configurable": false,
          "slot": "R"
        },
        {
          "id": 2,
          "name": "中键",
          "icon": "circle.fill",
          "configurable": true,
          "slot": "M"
        },
        {
          "id": 3,
          "name": "侧键1",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S1"
        },
        {
          "id": 4,
          "name": "侧键2",
          "icon": "circle.circle.fill",
          "configurable": true,
          "slot": "S2"
        }
      ]
    }
  ]
}
